LINUX.ORG.RU

Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)) Как бороть?

 , , , ,


0

1

Debian 11, пытаюсь установить far2l из репозитория.

Полный вывод:

sudo add-apt-repository ppa:far2l-team/ppa
[sudo] пароль для c: 
 Linux port of Far Manager v2 https://github.com/elfmz/far2l
 More info: https://launchpad.net/~far2l-team/+archive/ubuntu/ppa
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: создан щит с ключами '/tmp/tmpjt8wp3pj/pubring.gpg'
gpg: /tmp/tmpjt8wp3pj/trustdb.gpg: создана таблица доверия
gpg: ключ A5585B38743303A2: импортирован открытый ключ "Launchpad PPA for far2l packagers"
gpg: Всего обработано: 1
gpg:                  импортировано: 1
Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
gpg: не найдено данных формата OpenPGP.

Он говорит, что нужно положить ключ в trusted.gpg.d. Не вопрос, положу, но где взять этот ключ?

★★★★★

sudo apt-key list

pub rsa4096 2020-01-29 [SC]
8CAE 012E BFAC 38B1 7A93  7CD8 C5E2 2450 0C12 89C0
uid [ unknown] TeamViewer Germany GmbH (TeamViewer Linux 2020) <support@teamviewer.com>

sudo apt-key export 0C1289C0 | sudo gpg --dearmour -o /etc/apt/trusted.gpg.d/teamviewer2020.gpg

Где взять «0C1289C0» спросите вы меня? Это последние 8 знаков с конца:

8CAE 012E BFAC 38B1 7A93 7CD8 C5E2 2450 !!! 0C12 89C0

При копипасте, удалите пробел.

sfedosenko ()
Ответ на: комментарий от sfedosenko

Вот только сейчас рекомендуется не последние 8 цифр использовать для работы с ключом, а последние 16. Достаточно легко можно изготовить ключ с произвольными заранее заданными последними 8 цифрами отпечатка.

TeopeTuK ★★★★ ()
Ответ на: комментарий от TeopeTuK

То есть можно вместо 8 использовать 16 знаков? Буду знать, спасибо.

sfedosenko ()

apt-key хоть и deprecated, но работает. У тебя проблема связана не с этим.

А вообще правильный подход сейчас заключается в следующем:

  1. Скачать бинарный файл с ключом из доверенного источника.

  2. Положить этот файл в /etc/apt/keyrings/somerepo.gpg. Каталог /etc/apt/keyrings скорей всего надо будет создать.

  3. Прописать репозиторий следующим образом:

deb [signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/debian bullseye stable

это пример для докера, суть в signed-by.

Я советую сделать именно так - вручную, а не полагаться на какие-то васянские скрипты, которые это будут пытаться делать за тебя.

vbr ()
Последнее исправление: vbr (всего исправлений: 1)
Ответ на: комментарий от tiinn

Это я не знаю, из сообщения об ошибке не понятно. Я просто знаю, что apt-key в последнем дебиане ругается, но работает.

vbr ()
Последнее исправление: vbr (всего исправлений: 1)
Ответ на: комментарий от vbr

да, потому что, несмотря на вывод sudo add-apt-repository ppa:far2l-team/ppa, никакого ключа A5585B38743303A2 тут нет:

c@c-desktop:/etc/apt$ sudo apt-key list
Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
/etc/apt/trusted.gpg
--------------------
pub   rsa3072 2018-12-10 [SC]
      D43F 6401 4536 9C51 D786  DDEA 76F1 A20F F987 672F
uid         [ неизвестно ] WineHQ packages <wine-devel@winehq.org>

pub   rsa1024 2016-06-04 [C]
      CDE6 FF8F 58D9 A25F 8106  CD98 8F92 93A1 EEA1 4886
uid         [ неизвестно ] Totally Legit Signing Key <mallory@example.org>

pub   rsa4096 2014-09-08 [SC]
      67CE 018F D19E 3CD4 8189  BC69 2180 17D1 CC5F DB34
uid         [ неизвестно ] Yandex Browser Repository Key <browser@support.yandex.ru>
sub   rsa4096 2014-09-08 [E]

/etc/apt/trusted.gpg.d/debian-archive-bullseye-automatic.gpg
------------------------------------------------------------
pub   rsa4096 2021-01-17 [SC] [   годен до: 2029-01-15]
      1F89 983E 0081 FDE0 18F3  CC96 73A4 F27B 8DD4 7936
uid         [ неизвестно ] Debian Archive Automatic Signing Key (11/bullseye) <ftpmaster@debian.org>
sub   rsa4096 2021-01-17 [S] [   годен до: 2029-01-15]

/etc/apt/trusted.gpg.d/debian-archive-bullseye-security-automatic.gpg
---------------------------------------------------------------------
pub   rsa4096 2021-01-17 [SC] [   годен до: 2029-01-15]
      AC53 0D52 0F2F 3269 F5E9  8313 A484 4904 4AAD 5C5D
uid         [ неизвестно ] Debian Security Archive Automatic Signing Key (11/bullseye) <ftpmaster@debian.org>
sub   rsa4096 2021-01-17 [S] [   годен до: 2029-01-15]

/etc/apt/trusted.gpg.d/debian-archive-bullseye-stable.gpg
---------------------------------------------------------
pub   rsa4096 2021-02-13 [SC] [   годен до: 2029-02-11]
      A428 5295 FC7B 1A81 6000  62A9 605C 66F0 0D6C 9793
uid         [ неизвестно ] Debian Stable Release Key (11/bullseye) <debian-release@lists.debian.org>

/etc/apt/trusted.gpg.d/debian-archive-buster-automatic.gpg
----------------------------------------------------------
pub   rsa4096 2019-04-14 [SC] [   годен до: 2027-04-12]
      80D1 5823 B7FD 1561 F9F7  BCDD DC30 D7C2 3CBB ABEE
uid         [ неизвестно ] Debian Archive Automatic Signing Key (10/buster) <ftpmaster@debian.org>
sub   rsa4096 2019-04-14 [S] [   годен до: 2027-04-12]

/etc/apt/trusted.gpg.d/debian-archive-buster-security-automatic.gpg
-------------------------------------------------------------------
pub   rsa4096 2019-04-14 [SC] [   годен до: 2027-04-12]
      5E61 B217 265D A980 7A23  C5FF 4DFA B270 CAA9 6DFA
uid         [ неизвестно ] Debian Security Archive Automatic Signing Key (10/buster) <ftpmaster@debian.org>
sub   rsa4096 2019-04-14 [S] [   годен до: 2027-04-12]

/etc/apt/trusted.gpg.d/debian-archive-buster-stable.gpg
-------------------------------------------------------
pub   rsa4096 2019-02-05 [SC] [   годен до: 2027-02-03]
      6D33 866E DD8F FA41 C014  3AED DCC9 EFBF 77E1 1517
uid         [ неизвестно ] Debian Stable Release Key (10/buster) <debian-release@lists.debian.org>

/etc/apt/trusted.gpg.d/debian-archive-stretch-automatic.gpg
-----------------------------------------------------------
pub   rsa4096 2017-05-22 [SC] [   годен до: 2025-05-20]
      E1CF 20DD FFE4 B89E 8026  58F1 E0B1 1894 F66A EC98
uid         [ неизвестно ] Debian Archive Automatic Signing Key (9/stretch) <ftpmaster@debian.org>
sub   rsa4096 2017-05-22 [S] [   годен до: 2025-05-20]

/etc/apt/trusted.gpg.d/debian-archive-stretch-security-automatic.gpg
--------------------------------------------------------------------
pub   rsa4096 2017-05-22 [SC] [   годен до: 2025-05-20]
      6ED6 F5CB 5FA6 FB2F 460A  E88E EDA0 D238 8AE2 2BA9
uid         [ неизвестно ] Debian Security Archive Automatic Signing Key (9/stretch) <ftpmaster@debian.org>
sub   rsa4096 2017-05-22 [S] [   годен до: 2025-05-20]

/etc/apt/trusted.gpg.d/debian-archive-stretch-stable.gpg
--------------------------------------------------------
pub   rsa4096 2017-05-20 [SC] [   годен до: 2025-05-18]
      067E 3C45 6BAE 240A CEE8  8F6F EF0F 382A 1A7B 6500
uid         [ неизвестно ] Debian Stable Release Key (9/stretch) <debian-release@lists.debian.org>

/etc/apt/trusted.gpg.d/yandex-browser-beta.gpg
----------------------------------------------
pub   rsa4096 2014-09-08 [SC]
      67CE 018F D19E 3CD4 8189  BC69 2180 17D1 CC5F DB34
uid         [ неизвестно ] Yandex Browser Repository Key <browser@support.yandex.ru>
sub   rsa4096 2014-09-08 [E]

tiinn ★★★★★ ()
Ответ на: комментарий от vbr

Спасибо, частично, помогло!

Теперь, такое:

Следующие пакеты имеют неудовлетворённые зависимости:
 far2l : Зависит: libc6 (>= 2.34) но 2.31-13+deb11u3 должен быть установлен
         Зависит: libfmt8 (>= 8.1.1+ds1) но он не может быть установлен
         Зависит: libssl3 (>= 3.0.0) но он не может быть установлен
         Зависит: libstdc++6 (>= 12) но 10.2.1-6 должен быть установлен
         Рекомендует: far2l-gui но он не будет установлен
E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.

А что это было?

tiinn ★★★★★ ()
Последнее исправление: tiinn (всего исправлений: 1)
Ответ на: комментарий от tiinn

Пакеты эти под убунту собирали, а не под дебиан. Наверное надо тестинг использовать. Если там старые версии есть, можешь их попробовать.

vbr ()
Ответ на: комментарий от amd_amd

В 2022 ПО из исходников собирать - ну, такое себе. Попробую, конечно, и этот способ.

Да, и не работает он ни хрена

src.c:(.text.main+0x21): неопределённая ссылка на «pthread_create»
/usr/bin/ld: src.c:(.text.main+0x2d): неопределённая ссылка на «pthread_detach»
/usr/bin/ld: src.c:(.text.main+0x39): неопределённая ссылка на «pthread_cancel»
/usr/bin/ld: src.c:(.text.main+0x4a): неопределённая ссылка на «pthread_join»
collect2: error: ld returned 1 exit status
gmake[1]: *** [CMakeFiles/cmTC_0af73.dir/build.make:106: cmTC_0af73] Ошибка 1
gmake[1]: выход из каталога «/home/c/Projects/far2l/_build/CMakeFiles/CMakeTmp»
gmake: *** [Makefile:140: cmTC_0af73/fast] Ошибка 2
tiinn ★★★★★ ()
Последнее исправление: tiinn (всего исправлений: 1)
Ответ на: комментарий от tiinn

Ты «поломал систему».

Метод такой. Может и не заработает, но никаких «сломанных пакетов» и никаких ключей.

andytux ★★★★ ()
Ответ на: комментарий от tiinn

не работает он ни хрена

все работает просто ты не осилил… вот это все утсановил перед сборкой?

# apt install gawk m4 libwxgtk3.0-gtk3-dev libx11-dev libxi-dev libpcre3-dev libxerces-c-dev libspdlog-dev libuchardet-dev libssh-dev libssl-dev libsmbclient-dev libnfs-dev libneon27-dev libarchive-dev cmake g++ git

на это внимание обрати

In older distributives: use libpcre2-dev and libwxgtk3.0-dev instead of libpcre3-dev and libwxgtk3.0-gtk3-dev
amd_amd ★★★★ ()
Последнее исправление: amd_amd (всего исправлений: 1)
Ответ на: комментарий от amd_amd

Я честно просил снять мне 4 звезды. Но модераторы не пошли навстречу.

tiinn ★★★★★ ()

Ещё интереснее. Всё построил, ошибок не выдал, и… ничего.

c@c-desktop:~/Projects/far2l/_build$ make -j$(nproc --all)            
[  3%] Built target utils
[ 15%] Built target wineguts
[ 15%] Built target far2l_ttyx
[ 26%] Built target codepages
[ 32%] Built target colorer_lib
[ 33%] Built target NetRocks-SFTP
[ 34%] Built target NetRocks-FTP
[ 36%] Built target NetRocks-NFS
[ 36%] Built target NetRocks-SMB
[ 36%] Built target NetRocks-WebDAV
[ 36%] Built target NetRocks-FILE
[ 37%] Built target debian-package-controls
[ 38%] Built target farlng
[ 43%] Built target WinPort
eng
rus
hun
ukr
languages
FAR language umbrella tool
.LNG Generator v1.5
Copyright (C) 2003-2009 WARP ItSelf
Copyright (C) 2005 WARP ItSelf & Alex Yaroslavsky

lpLNGOutputPath=/home/c/Projects/far2l/_build/far2l/bootstrap
INFO: There are 13 strings that require review in Russian translation!

INFO: There are 20 strings that require review in English translation!

INFO: There are 290 strings that require review in Czech translation!

INFO: There are 292 strings that require review in German translation!

INFO: There are 250 strings that require review in Hungarian translation!

INFO: There are 276 strings that require review in Polish translation!

INFO: There are 132 strings that require review in Spanish translation!

INFO: There are 14 strings that require review in Ukrainian translation!

[ 44%] Built target bootstrap
[ 64%] Built target far2l
[ 64%] Built target align
[ 65%] Built target far2l_gui
[ 65%] Built target autowrap
[ 66%] Built target calc
[ 67%] Built target colorer
[ 67%] Built target compare
[ 67%] Built target drawline
[ 68%] Built target editcase
[ 68%] Built target editorcomp
[ 69%] Built target filecase
[ 70%] Built target incsrch
[ 71%] Built target inside
[ 78%] Built target NetRocks
[ 97%] Built target multiarc
[ 98%] Generating far2lcffi.py
Scanning dependencies of target SimpleIndent
Preparing python virtual env at /home/c/Projects/far2l/_build/python/python using /usr/bin/python3
[ 98%] Building CXX object SimpleIndent/CMakeFiles/SimpleIndent.dir/src/SimpleIndent.cpp.o
[ 99%] Linking CXX shared module ../install/Plugins/SimpleIndent/plug/SimpleIndent.far-plug-wide
[ 99%] Built target SimpleIndent
Scanning dependencies of target tmppanel
[ 99%] Building CXX object tmppanel/CMakeFiles/tmppanel.dir/src/TmpCfg.cpp.o
[ 99%] Building CXX object tmppanel/CMakeFiles/tmppanel.dir/src/TmpClass.cpp.o
[ 99%] Building CXX object tmppanel/CMakeFiles/tmppanel.dir/src/TmpMix.cpp.o
[ 99%] Building CXX object tmppanel/CMakeFiles/tmppanel.dir/src/TmpPanel.cpp.o
[100%] Linking CXX shared module ../install/Plugins/tmppanel/plug/tmppanel.far-plug-wide
[100%] Built target tmppanel
Requirement already satisfied: pip in ./python/lib/python3.9/site-packages (20.3.4)
Collecting pip
  Downloading pip-22.2.1-py3-none-any.whl (2.0 MB)
     |████████████████████████████████| 2.0 MB 982 kB/s 
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 20.3.4
    Uninstalling pip-20.3.4:
      Successfully uninstalled pip-20.3.4
Successfully installed pip-22.2.1
Collecting cffi
  Downloading cffi-1.15.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (441 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 441.2/441.2 kB 2.2 MB/s eta 0:00:00
Collecting debugpy
  Downloading debugpy-1.6.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.8 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.8/1.8 MB 6.7 MB/s eta 0:00:00
Collecting pcpp
  Downloading pcpp-1.30-py2.py3-none-any.whl (91 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 91.1/91.1 kB 11.4 MB/s eta 0:00:00
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 118.7/118.7 kB 371.8 kB/s eta 0:00:00
Installing collected packages: pcpp, pycparser, debugpy, cffi
Successfully installed cffi-1.15.1 debugpy-1.6.2 pcpp-1.30 pycparser-2.21
generating ./far2lcffi.py
Scanning dependencies of target python
[100%] Building CXX object python/CMakeFiles/python.dir/src/python.cpp.o
/home/c/Projects/far2l/python/src/python.cpp: In constructor ‘PythonHolder::PythonHolder(const char*)’:
/home/c/Projects/far2l/python/src/python.cpp:152:28: warning: ‘void PyEval_InitThreads()’ is deprecated [-Wdeprecated-declarations]
  152 |         PyEval_InitThreads();
      |                            ^
In file included from /usr/include/python3.9/Python.h:145,
                 from /home/c/Projects/far2l/python/src/python.cpp:11:
/usr/include/python3.9/ceval.h:130:37: note: declared here
  130 | Py_DEPRECATED(3.9) PyAPI_FUNC(void) PyEval_InitThreads(void);
      |                                     ^~~~~~~~~~~~~~~~~~
[100%] Linking CXX shared module ../install/Plugins/python/plug/python.far-plug-wide
[100%] Built target python
c@c-desktop:~/Projects/far2l/_build$ mc

c@c-desktop:~/Projects/far2l/_build/far2l/DE$ far2l
bash: far2l: команда не найдена

tiinn ★★★★★ ()
17 сентября 2022 г.
Ответ на: комментарий от tiinn

Ты собрал, но не заворачивал в пакет. Следовательно у тебя запчасти лежат только в каталоге куда собирал. Система про них ни сном, ни духом. В таком случае запускать надо ./far2l, а не far2l.

dzok ()
Ответ на: комментарий от dzok

Вы не поверите, но он положил его в far2l/_build/install! Никогда бы сам не догадался.

tiinn ★★★★★ ()
Для того чтобы оставить комментарий войдите или зарегистрируйтесь.